# Generated by Django 4.2 on 2023-04-06 22:05

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("participation", "0005_alter_team_options"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="passage",
            options={
                "ordering": ("pool", "position"),
                "verbose_name": "passage",
                "verbose_name_plural": "passages",
            },
        ),
        migrations.AddField(
            model_name="passage",
            name="position",
            field=models.PositiveSmallIntegerField(
                choices=[(1, 1), (2, 2), (3, 3), (4, 4), (5, 5)],
                default=1,
                validators=[
                    django.core.validators.MinValueValidator(1),
                    django.core.validators.MaxValueValidator(5),
                ],
                verbose_name="position",
            ),
        ),
        migrations.AlterField(
            model_name="participation",
            name="valid",
            field=models.BooleanField(
                default=None,
                help_text="The participation got the validation of the organizers.",
                null=True,
                verbose_name="valid team",
            ),
        ),
    ]
